'use strict';

var backendPluginApi = require('@backstage/backend-plugin-api');
var pluginNotificationsNode = require('@backstage/plugin-notifications-node');
var alpha = require('@backstage/plugin-scaffolder-node/alpha');
var sendNotification = require('./actions/sendNotification.cjs.js');

const scaffolderModuleNotifications = backendPluginApi.createBackendModule({
  pluginId: "scaffolder",
  moduleId: "notifications",
  register(reg) {
    reg.registerInit({
      deps: {
        notifications: pluginNotificationsNode.notificationService,
        scaffolder: alpha.scaffolderActionsExtensionPoint
      },
      async init({ notifications, scaffolder }) {
        scaffolder.addActions(sendNotification.createSendNotificationAction({ notifications }));
      }
    });
  }
});

exports.scaffolderModuleNotifications = scaffolderModuleNotifications;
//# sourceMappingURL=module.cjs.js.map
